PostgreSQL 7.2.1 Documentation
Prev |  | Next

# SPI_copytupledesc

## Name

SPI_copytupledesc -- Makes copy of tuple descriptor in upper Executor context

## Synopsis

    SPI_copytupledesc(tupdesc)

### Inputs

TupleDesc `tupdesc`

  Input tuple descriptor to be copied

### Outputs

TupleDesc

  Copied tuple descriptor

  non-NULL if `tupdesc` is not NULL and the copy was successful
  NULL only if `tupdesc` is NULL

## Description

`SPI_copytupledesc` makes a copy of tupdesc in upper Executor context.

## Usage

TBD

Prev | Home | Next
SPI_copytuple | Up | SPI_copytupleintoslot